DLSV2INV(1)

NAME
dlsv2inv - SeisComP Documentation

Convert dataless SEED to SeisComP inventory XML.

DESCRIPTION

dlsv2inv converts dataless SEED to SeisComP XML (SCML). Due to the limitations of dataless SEED dlsv2inv allows to set attributes which are not available in dataless such as network type, network description and so on.

It takes basically two important parameters:

1.  input file

2.  output file

    whereas the output file defaults to stdout if not given.

    The SeisComP inventory network and station objects have the attribute archive which should contain the local datacenter where the information comes from.

    While importing the attribute datacenterID is read and written into the archive attribute of all networks and stations available in the dataless. The datacenterID can be overridden with the --dcid command-line option.

    NOTE: Conversion of inventory in SeisComP XML to dataless SEED is provided by inv2dlsv.

EXAMPLES

1.  Convert a given dataless SEED file to SeisComP XML.

    dlsv2inv GE.dataless GE.xml

2.  Override the datacenterID and leave it blank in the output.

    dlsv2inv --dcid "" GE.dataless GE.xml

MODULE CONFIGURATION
etc/defaults/global.cfg
etc/defaults/dlsv2inv.cfg
etc/global.cfg
etc/dlsv2inv.cfg
~/.seiscomp/global.cfg
~/.seiscomp/dlsv2inv.cfg

dlsv2inv inherits global options.

COMMAND-LINE OPTIONS

dlsv2inv [OPTIONS] input [output=stdout]

  Generic

-h, --help
    Show help message.

-V, --version
    Show version information.

--config-file arg
    Use alternative configuration file. When this option is used the loading of all stages is disabled. Only the given configuration file is parsed and used. To use another name for the configuration create a symbolic link of the application or copy it. Example: scautopick -> scautopick2.

--plugins arg
    Load given plugins.

-D, --daemon
    Run as daemon. This means the application will fork itself and doesn't need to be started with &.

  Verbosity

--verbosity arg
    Verbosity level [0..4]. 0:quiet, 1:error, 2:warning, 3:info, 4:debug.

-v, --v
    Increase verbosity level (may be repeated, eg. -vv).

-q, --quiet
    Quiet mode: no logging output.

--component arg
    Limit the logging to a certain component. This option can be given more than once.

-s, --syslog
    Use syslog logging backend. The output usually goes to /var/lib/messages.

-l, --lockfile arg
    Path to lock file.

--console arg
    Send log output to stdout.

--debug
    Execute in debug mode. Equivalent to --verbosity=4 --console=1 .

--log-file arg
    Use alternative log file.

--print-component arg
    For each log entry print the component right after the log level. By default the component output is enabled for file output but disabled for console output.

--trace
    Execute in trace mode. Equivalent to --verbosity=4 --console=1 --print-component=1 --print-context=1 .

  ArcLink

--dcid arg
    Override the datacenter ID which is read from the datacenterID configuration parameter and written to the network and station archive attribute.

--net-description arg
    Set the network description. It supports the following placeholders: ${code}, ${start}, ${end}, ${class} and ${archive}.

--net-start arg
    Set network start time. Format is %Y-%m-%d.

--net-end arg
    Set network end time. Format is %Y-%m-%d.

--net-type arg
    Set the network type (VBB, SM, etc.).

--temporary
    Set the network temporary flag to true.

--restricted
    Set the network restricted flag to true.

--private
    Set the network private flag to true.

  Convert

-f, --formatted
    Enable formatted XML output.

AUTHOR
gempa GmbH, GFZ Potsdam

COPYRIGHT
gempa GmbH, GFZ Potsdam